package	jp.co.sds_corp.fixconnect.message;

public enum SessionRejectReason
{
	INVALID_TAG_NUMBER( 0 ),
	REQUIRED_TAGMISSING( 1 ),
	TAG_NOT_DEFINED( 2 ),
	UNDEFINED_TAG( 3 ),
	TAG_WITHOUT_VALUE( 4 ),
	VALUE_IS_INCORRECT( 5 ),
	INCORRECT_DATA_FORMAT( 6 ),
	DECRYPTION_PROBLEM( 7 ),
	SIGNATURE_PROBLEM( 8 ),
	COMPID_PROBLEM( 9 ),
	SENDINGTIME_ACCURACY( 10 ),
	INVALID_MSGTYPE( 11 ),
	XML_VALIDATION_ERROR( 12 ),
	TAG_MORE_THAN_ONCE( 13 ),
	TAG_OUT_OF_ORDER( 14 ),
	GROUP_OUT_OF_ORDER( 15 ),
	INCORRECT_NUMINGROUP( 16 ),
	NON_DATA_VALUE( 17 ),
	OTHER( 99 );

	SessionRejectReason( int code ) {
		this.code = code;
	}

	int	code;	// 理由コード

	/**
	* 理由コードを設定します。
	* @param	var		設定するデータ
	*/
	public void setCode( int var ) {
		this.code = var;
	}
	/**
	* 理由コードを取得します。
	* @return	理由コード
	*/
	public int getCode() {
		return code;
	}


}

