package	jp.co.sds_corp.fixconnect.message;

import	jp.co.sds_corp.fixconnect.FIXException;
import jp.co.sds_corp.util.config.IConfiguration;

/**
* FIXメッセージを解析するクラスの定義です。
*/
public interface IMessageParser
{
	public void init( IConfiguration config )
		throws Exception;

	public FIXMessage createMessage( String msgType )
		throws FIXException;

	public int getMessageLength( byte[] buf )
		throws FIXException;

	public FIXMessage parse( byte[] buf )
		throws FIXException;

	public FIXMessage parse( byte[] buf, int start, int length )
		throws FIXException;

}
