package	jp.co.sds_corp.fixconnect.transport;

import jp.co.sds_corp.fixconnect.FIXException;

public class HeartBeatTimeoutException extends FIXException
{
	public HeartBeatTimeoutException( FIXSession session ) {
		super();
		setSession( session );
	}

	public String toString() {
		String ret = getClass().getName();
		ret += " session=[" + getSession().toString() + "]";
		return ret;
	}

	FIXSession	session;	// FIXセッション情報

	/**
	* FIXセッション情報を設定します。
	* @param	var		設定するデータ
	*/
	public void setSession( FIXSession var ) {
		this.session = var;
	}
	/**
	* FIXセッション情報を取得します。
	* @return	FIXセッション情報
	*/
	public FIXSession getSession() {
		return session;
	}

}
